ALTER TABLE PRESPR
ADD ID_PRIVEZ NUMBER;

ALTER TABLE PRESPR
ADD TYPE VARCHAR2(2 CHAR);

CREATE TABLE PRESPR_TYPE (
	CODE VARCHAR2(2 CHAR), 
	DESCRIPTION VARCHAR2(100 CHAR), 
	INTERNAL_DESCRIPTION VARCHAR2(100 CHAR), 
	CONSTRAINT PK_PRESPR_TYPE PRIMARY KEY (CODE)
);

CREATE OR REPLACE VIEW V_PRESPR
AS (
SELECT P.ID, P.LOKACIJA, P.DATUM, P.NTIP, P.DOLZINA, P.IME_PLOVILA, P.REGISTRSKA_N, P.NZASTAVA, P.BELEZKA, P.OBJEKT, P.N_PRIVEZA, P.NTITLE, P.IME, P.PRIIMEK, P.NASLOV, P.MESTO, P.POSTA, P.NDRZAVA,
P.AVTOMOBIL, P.TOVORNJAK, P.PRIKOLICA, P.KAMPER, PREVOZNIK, P.N_OSEB, P.TIP_DOG, P.ID_LASTNIKA, P.ID_PLOVILA, P.STATUS, P.OSN_PRIVEZ, P.ID_MASTER, P.ID_SLAVE, P.EMAIL, P.TELEPHONE, P.HAS_BOAT,
P.ID_MARINA_EVENT, P.STATE, P.PROIZVAJALEC, P.ID_PRIVEZ, P.TYPE,
TP.OPIS AS NNTIP_OPIS, TP.INTERNI_OPIS AS NNTIP_INTERNI_OPIS, TI.OPIS AS NNTITLE_OPIS, TI.INTERNI_OPIS AS NNTITLE_INTERNI_OPIS
FROM PRESPR P
LEFT OUTER JOIN NNTIP TP ON TP.SIFRA = P.NTIP
LEFT OUTER JOIN NNTITLE TI ON TI.SIFRA = P.NTITLE
);

CREATE OR REPLACE VIEW V_PLOVILA AS (
SELECT P.ID, P.ID_LASTNIKA, P.N_POGODBE, P.FEKALNI_TANK, P.NTIP, P.IME, P.MATICNA_LUKA, P.REGISTRSKA_N, P.NZASTAVA, P.DOLZINA, P.SIRINA, P.VISINA, P.TEZA, P.GREZ, P.PODSTAVEK, P.VALUTA, P.VREDNOST,
P.PROIZVAJALEC, P.LETO_IZDELAVE, P.KONSTRUKCIJSKI_MATERIAL, P.TIP_MOTORJA, P.MOC_MOTORJA, P.ENOTA_MOCI_MOTORJA, P.STEVILO_MOTORJEV, P.N_MOTORJA_1, P.N_MOTORJA_2, P.N_MOTORJA_3, P.ZAVAROVALNICA,
P.N_ZAVAROVALNE_POLICE, P.ZAVAROVANO_DO, P.ZAVAROVALNA_VSOTA, P.VALUTA_ZAVAROVALNE_VSOTE, P.BELEZKA, P.BELEZKA_2, P.POGODBENI_OBJEKT_PRIVEZA, P.POGODBENA_N_PRIVEZA, P.POGODBA_OD, P.POGODBA_DO,
P.TRENUTNI_OBJEKT_PRIVEZA, P.TRENUTNA_N_PRIVEZA, P.TRENUTNO_OD, P.TRENUTNO_DO, P.PLOVNO_DOVOLJENJE, P.KRAJ_PLOVNEGA_DOVOLJENJA, P.DATUM_PLOVNEGA_DOVOLJENJA, P.N_DELOVNEGA_NALOGA, P.STORITVE,
P.USER_KREIRANJA, P.DATUM_KREIRANJA, P.USER_SPREMEMBE, P.DATUM_SPREMEMBE, P.N_ZIMOVANJE, P.DATUM_PREK_ZIMOVANJA, P.BOOKING, P.STEVILO_KABIN, P.MODEL, P.STEVILO_LEZISC, P.GORIVO, P.MOC_MOTORJA_1,
P.MOC_MOTORJA_2, P.ID_TIPA_MOTORJA_1, P.ID_TIPA_MOTORJA_2, P.ID_TIPA_MOTORJA_3, P.ENOTA_MOCI_MOTORJA_1, P.ENOTA_MOCI_MOTORJA_2, P.ENOTA_MOCI_MOTORJA_3, P.ID_PROIZVAJALCA, P.ID_KONSTR_MAT,
P.ID_PODSTAVKA, P.ID_TIPA, P.TIP_PLOVILA, P.DAT_PLOV_DOV, P.DATUM_ZAVAROVANJE, P.POOBLASTILO_DO, P.VPIS_LIST_DO, P.DATUM_MENJ_OLJA, P.DATUM_RED_SERVIS, P.ST_UR_MOTORJA, P.PROVIZIJA_DELITEV,
P.KASKO_ZAVAROVANJE_DO, P.PROVIZIJA, P.OCISCENA, P.RFID, P.PODALJSA, P.DOVOLJENJE, P.LASTNISTVO, P.ID_PLOVILA_CARINA, P.ACT, P.PLOVILA_IZVOR, P.RFIDSIGNAL, P.LAST_PORT, P.COLOR, P.ID_PRIVEZ, 
P.PROPULSION_TYPE, P.PAYMENT_TYPE, P.UNDERWATER_HULL, P.TOP_SIDES, P.DECK, P.SUPER_STRUCTURE, P.SURFACE, P.HULL_ID_NUMBER, P.VRSKUP, P.KUPCI_CREDIT_CARD_ID, P.BOAT_PRICE, P.BRUTO_TEZA, 
P.ST_POTNIKOV, P.LOADING_WEIGHT, P.LOADING_VOLUME,
NT.OPIS AS NNTIP_OPIS, NT.INTERNI_OPIS AS NNTIP_INTERNI_OPIS, ND.OPIS AS NNDRZAVE_OPIS, ND.INTERNI_OPIS AS NNDRZAVE_INTERNI_OPIS, NVK.OPIS AS NNVRSKUP_OPIS, NVK.INTERNI_OPIS AS NNVRSKUP_INTERNI_OPIS,
NNPT.ID_PRIVEZ AS TRENUTNI_ID_PRIVEZA,
CASE WHEN (P.TRENUTNI_OBJEKT_PRIVEZA IS NOT NULL AND P.TRENUTNA_N_PRIVEZA IS NOT NULL AND UPPER(P.TRENUTNA_N_PRIVEZA) <> (SELECT UPPER(VREDNOST) FROM S_NASTAVITVE WHERE NAZIV = 'StartIzhod')) THEN 'Y' ELSE 'N' END AS IN_MARINA,
CASE WHEN (UPPER(P.TRENUTNA_N_PRIVEZA) = (SELECT UPPER(VREDNOST) FROM S_NASTAVITVE WHERE NAZIV = 'StartIzhod')) THEN 'Y' ELSE 'N' END AS ON_TEMPORARY_EXIT
FROM PLOVILA P
LEFT OUTER JOIN NNTIP NT ON NT.SIFRA = P.NTIP
LEFT OUTER JOIN NNDRZAVE ND ON ND.SIFRA = P.NZASTAVA
LEFT OUTER JOIN NNVRSKUP NVK ON NVK.SIFRA = P.VRSKUP
LEFT OUTER JOIN NNPRIVEZ NNPT ON NNPT.OBJEKT = P.TRENUTNI_OBJEKT_PRIVEZA AND NNPT.N_PRIVEZA = P.TRENUTNA_N_PRIVEZA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1259, SYSDATE, '5.5', 1179, 'Fast boat checkin')
;
