CREATE OR REPLACE VIEW V_KNJIZBE_BREME AS (
select MIN(K.ID_SALDKONT) AS ID_SALDKONT, S.NNLOCATION_ID, K.DATUMV, K.DATUMK, K.KONTO, K.TIPKNJ, K.RAZMEJITEV, S.VRSTA_RACUNA, M.ID_CARDS, S.SDK_RN_TIP, SUM(K.BZNESEK) AS BREME, SUM(K.BZNESEKSIT) AS BREMESIT 
from 
knjizbe k 
join saldkont s on k.id_saldkont=s.id_saldkont 
LEFT OUTER JOIN EXCHANGE E ON S.ID_EXCHANGE=E.ID
LEFT OUTER JOIN MONEY M ON E.ID=M.ID_MENJAVE
WHERE K.STRAN='B' AND K.TIPKNJ<>'Z' AND s.r_export_nr is null 
GROUP BY S.NNLOCATION_ID, K.DATUMV, K.DATUMK, K.KONTO, K.TIPKNJ, K.RAZMEJITEV, S.VRSTA_RACUNA, M.ID_CARDS, S.SDK_RN_TIP
UNION ALL
select MIN(K.ID_SALDKONT) AS ID_SALDKONT, S.NNLOCATION_ID, K.DATUMV, K.DATUMK, K.KONTO, K.TIPKNJ, K.RAZMEJITEV, S.VRSTA_RACUNA, NULL, S.SDK_RN_TIP, SUM(K.BZNESEK) AS BREME, SUM(K.BZNESEKSIT) AS BREMESIT 
from 
knjizbe k 
join saldkont s on k.id_saldkont=s.id_saldkont 
join saldkont_zap sz on k.idmaster=sz.id_saldkont_zap
WHERE K.STRAN='B' AND K.TIPKNJ='Z' AND sz.r_export_nr is null 
GROUP BY S.NNLOCATION_ID, K.DATUMV, K.DATUMK, K.KONTO, K.TIPKNJ, K.RAZMEJITEV, S.VRSTA_RACUNA, S.SDK_RN_TIP
)
;

CREATE OR REPLACE VIEW V_KNJIZBE_DOBRO AS (
select MIN(K.ID_SALDKONT) AS ID_SALDKONT, S.NNLOCATION_ID, K.DATUMV, K.DATUMK, K.KONTO, K.TIPKNJ, K.RAZMEJITEV, S.VRSTA_RACUNA, M.ID_CARDS, S.SDK_RN_TIP, SUM(K.DZNESEK) AS DOBRO, SUM(K.DZNESEKSIT) AS DOBROSIT 
from 
knjizbe k 
join saldkont s on k.id_saldkont=s.id_saldkont 
LEFT OUTER JOIN EXCHANGE E ON S.ID_EXCHANGE=E.ID
LEFT OUTER JOIN MONEY M ON E.ID=M.ID_MENJAVE
WHERE K.STRAN='D' AND K.TIPKNJ<>'Z' AND s.r_export_nr is null 
GROUP BY S.NNLOCATION_ID, K.DATUMV, K.DATUMK, K.KONTO, K.TIPKNJ, K.RAZMEJITEV, S.VRSTA_RACUNA, M.ID_CARDS, S.SDK_RN_TIP
UNION ALL
select MIN(K.ID_SALDKONT) AS ID_SALDKONT, S.NNLOCATION_ID, K.DATUMV, K.DATUMK, K.KONTO, K.TIPKNJ, K.RAZMEJITEV, S.VRSTA_RACUNA, NULL, S.SDK_RN_TIP, SUM(K.DZNESEK) AS DOBRO, SUM(K.DZNESEKSIT) AS DOBROSIT 
from 
knjizbe k 
join saldkont s on k.id_saldkont=s.id_saldkont 
join saldkont_zap sz on k.idmaster=sz.id_saldkont_zap
WHERE K.STRAN='D' AND K.TIPKNJ='Z' AND sz.r_export_nr is null 
GROUP BY S.NNLOCATION_ID, K.DATUMV, K.DATUMK, K.KONTO, K.TIPKNJ, K.RAZMEJITEV, S.VRSTA_RACUNA, S.SDK_RN_TIP
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1288, SYSDATE, '5.5', 1208, 'V_KNJIZBE_xx')
;
