CREATE TABLE DATOTEKE_PRIVEZOV (
  ID_DATOTEKE_PRIVEZOV NUMBER NOT NULL,
  ID_PRIVEZ NUMBER NOT NULL,
  IME_DATOTEKE VARCHAR2(250 CHAR),
  DATOTEKA BLOB,
  KONCNICA VARCHAR2(10 CHAR),
  KOMENTAR VARCHAR2(1000 CHAR),
  STATUS NUMBER,
  USER_KREIRANJA VARCHAR2(30 CHAR),
  DATUM_KREIRANJA DATE,
  USER_SPREMEMBE VARCHAR2(30 CHAR),
  DATUM_SPREMEMBE DATE,
  CONSTRAINT FK_DAT_PRIVEZOV_ID_PRIVEZ FOREIGN KEY (ID_PRIVEZ) REFERENCES NNPRIVEZ(ID_PRIVEZ),
  CONSTRAINT PK_DATOTEKE_PRIVEZOV PRIMARY KEY (ID_DATOTEKE_PRIVEZOV)
);

CREATE SEQUENCE DATOTEKE_PRIVEZOV_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_DATOTEKE_PRIVEZOV AS (
SELECT D.ID_DATOTEKE_PRIVEZOV, D.ID_PRIVEZ, D.DATOTEKA, D.IME_DATOTEKE, D.KONCNICA, D.KOMENTAR, D.USER_KREIRANJA, D.DATUM_KREIRANJA, D.USER_SPREMEMBE, D.DATUM_SPREMEMBE, D.STATUS,
N.N_PRIVEZA AS NNPRIVEZ_N_PRIVEZA, N.OBJEKT AS NNPRIVEZ_OBJEKT
FROM DATOTEKE_PRIVEZOV D
LEFT OUTER JOIN NNPRIVEZ N ON N.ID_PRIVEZ = D.ID_PRIVEZ
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (869, SYSDATE, '5.5', 789, 'Datoteke privezov');